# Manual do Utilizador KDE

&Lauri.Watts; &Lauri.Watts.mail;
07 de Junho de 2005
Ambiente de Trabalho K
kate
1

# `kate`

Um editor de texto avançado para o &kde;

    kate -s, --start  nome  -u, --use -p, --pid pid -e, --encoding  nome -l, --line  linha -c, --column  coluna -i, --stdin Opções Genéricas do KDE Opções Genéricas do Qt

## Descrição

O &kate; é o Editor de Texto Avançado do &kde;.

O &kate; também oferece o componente de edição para várias aplicações, sob o nome &kwrite;.

Algumas das várias funcionalidades do &kate; incluem o realce de sintaxe configurável para as linguagens que vão do C e C++ até ao HTML, passando por programas em 'bash', a capacidade de criar e manter projectos, uma interface para vários documentos (MDI) e um emulador de terminal incorporado.

Mas o &kate; é mais do que um editor para programadores. A sua capacidade de abrir vários ficheiros de uma vez torna-o ideal para editar os vários ficheiros de configuração do &UNIX;. Este documento foi escrito no &kate;.

## Opções

`-s`, `--start` nome

  Inicia o &kate; com uma dada sessão.

`-u, --use`

  Usa um &kate; já em execução

`-p, --pid` pid

  Tenta apenas usar de novo a instância do 'kate' com este PID

`-e, --encoding` nome

  Modificar a codificação do ficheiro a abrir

  Poderá usar esta opção para obrigar a abrir um documento no formato UTF-8, por exemplo. (O comando `iconv -l` oferece uma lista com as codificações, o que poderá ser útil para si.)

`-l, --line` linha

  Navegar para esta linha

`-c, --column` coluna

  Navegar para esta coluna

`-i, --stdin`

  Lê o conteúdo do `stdin`

## Veja Também

kwrite(1)

Existe documentação do utilizador mais detalhada em help:/kate (tanto poderá indicar este URL no &konqueror;, como executar o ``khelpcenter` `help:/kate``).

Existe ainda mais informação disponível na página Web do &kate;.

## Exemplos

Para abrir um ficheiro chamado `codigo.cpp` na coluna 15 e linha 25 numa janela existente do &kate;, poderá usar:

    kate -c 15 -l
    25 -u codigo.cpp

Se tiver uma ligação à Internet, poderá tirar partido da transparência da rede do &kde; para abrir um ficheiro num servidor de FTP. Se não tiver permissões de escrita no servidor remoto, o ficheiro será aberto apenas para leitura e ser-lhe-á pedido o nome do ficheiro local no qual deseja gravar, se fizer alterações nele. Se tiver permissões para escrita, as alterações serão feitas de forma transparente pela rede.

    kate ftp://ftp.kde.org/pub/kde/LEIA_ME_PRIMEIRO

## Autores

O responsável pela manutenção do &kate; é o &Christoph.Cullmann; &Christoph.Cullmann.mail;. Uma lista completa dos autores e contribuintes para o projecto está disponível no manual de utilizador mencionado acima.